Subject: Re: [PATCH] test-lib: fix color reset in say_color()

From: Jakub Narebski <[email-masked]>
Date: Fri, 10 Oct 2008 02:30:06 -0700 (PDT)

Miklos Vajna <[email-masked]> writes:

> When executing a single test with colors enabled, the cursor was not set
> back to the previous one, and you had to hit an extra enter to get it
> back.
> 
> Work around this problem by calling 'tput sgr0' before printing the
> final newline.
> 
> Signed-off-by: Miklos Vajna <[email-masked]>
> ---
> 
> Actually I'm not 100% sure about how many users are affected. I have a
> black background in konsole with white letters, and after the test I get
> a green cursor, and once I hit enter, I get the white one back.

I also had this very minor irritation that cursor retained color
of last line till enter (or IIRC any key which moved cursor). I use
ordinary xterm from X.Org 6.8.2(213).

-- 
Jakub Narebski
Poland
ShadeHawk on #git